Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mergejoin
Class MergeJoinMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.mergejoin.MergeJoinMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class MergeJoinMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`static String[]` | `join_types`
`static boolean[]` | `one_optionals`
`static boolean[]` | `two_optionals`

Constructor Summary
`MergeJoinMeta()`

Method Summary
`void` | `allocate(int nrKeys1, int nrKeys2)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`boolean` | `excludeFromRowLayoutVerification()` This method is added to exclude certain steps from layout checking.
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String[]` | `getInfoSteps()`
`String` | `getJoinType()` The supported join types are INNER, LEFT OUTER, RIGHT OUTER and FULL OUTER
`String[]` | `getKeyFields1()`
`String[]` | `getKeyFields2()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`StepMeta` | `getStepMeta1()`
`StepMeta` | `getStepMeta2()`
`String` | `getStepName1()`
`String` | `getStepName2()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `searchInfoAndTargetSteps(List<StepMeta> steps)`
`void` | `setDefault()` Set default values
`void` | `setJoinType(String joinType)` Sets the type of join
`void` | `setKeyFields1(String[] keyFields1)`
`void` | `setKeyFields2(String[] keyFields2)`
`void` | `setStepMeta1(StepMeta stepMeta1)`
`void` | `setStepMeta2(StepMeta stepMeta2)`
`void` | `setStepName1(String stepName1)`
`void` | `setStepName2(String stepName2)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, exportResources, getDialogClassName, getID, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, exportResources, getDialogClassName, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### join_types

    public static final String[] join_types

### one_optionals

    public static final boolean[] one_optionals

### two_optionals

    public static final boolean[] two_optionals

Constructor Detail

### MergeJoinMeta

    public MergeJoinMeta()

Method Detail

### getJoinType

    public String getJoinType()

  The supported join types are INNER, LEFT OUTER, RIGHT OUTER and FULL OUTER

  Returns:
    The type of join

### setJoinType

    public void setJoinType(String joinType)

  Sets the type of join

  Parameters:
    `joinType` - The type of join, e.g. INNER/FULL OUTER

### getKeyFields1

    public String[] getKeyFields1()

  Returns:
    Returns the keyFields1.

### setKeyFields1

    public void setKeyFields1(String[] keyFields1)

  Parameters:
    `keyFields1` - The keyFields1 to set.

### getKeyFields2

    public String[] getKeyFields2()

  Returns:
    Returns the keyFields2.

### setKeyFields2

    public void setKeyFields2(String[] keyFields2)

  Parameters:
    `keyFields2` - The keyFields2 to set.

### excludeFromRowLayoutVerification

    public boolean excludeFromRowLayoutVerification()

  Description copied from class: `BaseStepMeta`
  This method is added to exclude certain steps from layout checking.

  Specified by:
    `excludeFromRowLayoutVerification` in interface `StepMetaInterface`
  Overrides:
    `excludeFromRowLayoutVerification` in class `BaseStepMeta`

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### getStepName1

    public String getStepName1()

  Returns:
    Returns the stepName1.

### getStepName2

    public String getStepName2()

  Returns:
    Returns the stepName2.

### setStepName1

    public void setStepName1(String stepName1)

  Parameters:
    `stepName1` - The stepName1 to set.

### setStepName2

    public void setStepName2(String stepName2)

  Parameters:
    `stepName2` - The stepName2 to set.

### getStepMeta1

    public StepMeta getStepMeta1()

  Returns:
    Returns the stepMeta1.

### getStepMeta2

    public StepMeta getStepMeta2()

  Returns:
    Returns the stepMeta2

### setStepMeta1

    public void setStepMeta1(StepMeta stepMeta1)

  Parameters:
    `stepMeta1` - The stepMeta1 to set.

### setStepMeta2

    public void setStepMeta2(StepMeta stepMeta2)

  Parameters:
    `stepMeta2` - The stepMeta2 to set.

### allocate

    public void allocate(int nrKeys1,
                         int nrKeys2)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### searchInfoAndTargetSteps

    public void searchInfoAndTargetSteps(List<StepMeta> steps)

  Specified by:
    `searchInfoAndTargetSteps` in interface `StepMetaInterface`
  Overrides:
    `searchInfoAndTargetSteps` in class `BaseStepMeta`
  Parameters:
    `steps` - optionally search the info step in a list of steps

### getInfoSteps

    public String[] getInfoSteps()

  Specified by:
    `getInfoSteps` in interface `StepMetaInterface`
  Overrides:
    `getInfoSteps` in class `BaseStepMeta`
  Returns:
    the informational source steps, if any. Null is the default: none.

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD